%define version 12.02.1

Name:		linuxband
Version:	%{version}
Release:	%mkrel 1
Summary:	LinuxBand is a GUI front-end for MMA (Musical MIDI Accompaniment)
License:	GPL version 2
Group:		Sound
BuildRequires:	libjack-devel
BuildRequires:	libsmf-devel
BuildRequires:	pygtk2-devel
BuildRequires:	python-gtksourceview-devel
Requires:	python-gtksourceview
Requires:	jackit
Requires:	mma
#Suggests:	pulseaudio-module-jack
URL:		http://linuxband.org/
Source:		%{name}-%{version}.tar.xz
#icon from http://openclipart.org/image/300px/svg_to_png/120367/Music_Equalizer_4_Merlin2525.png
Source1:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LinuxBand is a GUI front-end for MMA (Musical MIDI Accompaniment). Type in the
chords, choose the groove and LinuxBand will play a musical accompaniment for
you. It’s an open source alternative to Band-in-a-Box featuring:
  * Easy to use graphical interface
  * Open and well-documented data format
  * Output to JACK Midi to facilitate co-operation with other audio applications

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
#./autogen.sh
%configure
%make

%install
%makeinstall_std

mkdir %{buildroot}%{_iconsdir}
cp -f %{_sourcedir}/%{name}.png %{buildroot}%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=LinuxBand MMA Editor
Comment=Musical Midi Accompaniment Editor
Name=LinuxBand
Exec=linuxband
Icon=linuxband
Type=Application
Terminal=false
X-KDE-StartupNotify=true
InitialPreference=8
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;Education;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/linuxband
%{_libdir}/linuxband/linuxband-player
%{_datadir}/linuxband/*
%{_datadir}/applications/linuxband.desktop
%{_iconsdir}/%{name}.png

%changelog
* Sat Apr 12 2014 gseaman <galen.seaman at comcast.net> 12.02.1-1gseaman2014
- build for PCLinuxOS
- added icon from openclipart.org
